/* 
 * api_io.h
 *
 * structures C des classes pour acceder plus
 * simplement aux variables de la classe dans
 * le code C qui implémente les api.
 */

#define U(a, o)		(a *)o->vars


typedef struct API_JavaIoFile API_JavaIoFile;
typedef struct API_JavaIoFileDescriptor API_JavaIoFileDescriptor;
typedef struct API_JavaIoRandomAccessFile API_JavaIoRandomAccessFile;
typedef struct API_JavaIoFileInputStream API_JavaIoFileInputStream;
typedef struct API_JavaIoFileOutputStream API_JavaIoFileOutputStream;

struct API_JavaIoFileDescriptor {
	int 		fd;
	Object *	in;
	Object *	out;
	Object *	err;
};

struct API_JavaIoFile {
	Object *	path;
	Object *	separator;
	Object *	separatorChar;
	Object *	pathSeparator;
	Object *	pathSeparatorChar;
};

struct API_JavaIoRandomAccessFile {
	Object *	fd;
};

struct API_JavaIoFileInputStream {
	Object *	fd;
};

struct API_JavaIoFileOutputStream {
	Object *	fd;
};