/* 
 * api_lang.h
 *
 * structures C des classes pour acceder plus
 * simplement aux variables de la classe dans
 * le code C qui implémente les api.
 */

#define U(a, o)		(a *)o->vars



typedef struct API_JavaLangClass API_JavaLangClass;
typedef struct API_JavaLangThread API_JavaLangThread;

struct API_JavaLangClass {
	ClassFile *		class_file;
};

struct API_JavaLangThread {
	Object *		name; 		/* tab char */
	int 			priority;
	Object *		threadQ;	/* Thread */
	int				private;
	int				eetop;

	int				single_step; /* boolean */
	int				deamon;		 /* boolean */
	int 			stillborn;	 /* boolean */
	Object *		target;		 /* Runnable */
	Object *		activeThreadQ; /* Thread */
	Object *		group;		 /* ThreadGroup */
};
