#include <u.h>
#include <libc.h>

#define	SIZE	1024
#define	DOTDOT	(&fmt+1)

void
chat(char *fmt, ...)
{
	char buf[SIZE], *out;

	out = doprint(buf, buf+SIZE, fmt, DOTDOT);
	write(2, buf, (long)(out-buf));
}

void
debug(int indent, char *fmt, ...)
{
	char buf[SIZE], *out;

	while( indent-- > 0 )
		write(2,"\t", 1);
	
	out = doprint(buf, buf+SIZE, fmt, DOTDOT);
	write(2, buf, (long)(out-buf));
}

void
panic(char *fmt, ...)
{
	char buf[SIZE], *out; int n;

	n = sprint(buf, "pid %d: ", getpid());
	out = doprint(buf+n, buf+SIZE-n, fmt, DOTDOT);
	write(2, buf, (long)(out-buf));
	//abort();
	exits("panic");
}
