enum {
	_nop = 0,
	_aconst_null = 1,
	_iconst_m1 = 2,
	_iconst_0 = 3,
	_iconst_1 = 4,
	_iconst_2 = 5,
	_iconst_3 = 6,
	_iconst_4 = 7,
	_iconst_5 = 8,
	_lconst_0 = 9,
	_lconst_1 = 10,
	_fconst_0 = 11,
	_fconst_1 = 12,
	_fconst_2 = 13,
	_dconst_0 = 14,
	_dconst_1 = 15,
	_bipush = 16,
	_sipush = 17,
	_ldc = 18,
	_ldc_w = 19,
	_ldc2_w = 20,
	_iload = 21,
	_lload = 22,
	_fload = 23,
	_dload = 24,
	_aload = 25,
	_iload_0 = 26,
	_iload_1 = 27,
	_iload_2 = 28,
	_iload_3 = 29,
	_lload_0 = 30,
	_lload_1 = 31,
	_lload_2 = 32,
	_lload_3 = 33,
	_fload_0 = 34,
	_fload_1 = 35,
	_fload_2 = 36,
	_fload_3 = 37,
	_dload_0 = 38,
	_dload_1 = 39,
	_dload_2 = 40,
	_dload_3 = 41,
	_aload_0 = 42,
	_aload_1 = 43,
	_aload_2 = 44,
	_aload_3 = 45,
	_iaload = 46,
	_laload = 47,
	_faload = 48,
	_daload = 49,
	_aaload = 50,
	_baload = 51,
	_caload = 52,
	_saload = 53,
	_istore = 54,
	_lstore = 55,
	_fstore = 56,
	_dstore = 57,
	_astore = 58,
	_istore_0 = 59,
	_istore_1 = 60,
	_istore_2 = 61,
	_istore_3 = 62,
	_lstore_0 = 63,
	_lstore_1 = 64,
	_lstore_2 = 65,
	_lstore_3 = 66,
	_fstore_0 = 67,
	_fstore_1 = 68,
	_fstore_2 = 69,
	_fstore_3 = 70,
	_dstore_0 = 71,
	_dstore_1 = 72,
	_dstore_2 = 73,
	_dstore_3 = 74,
	_astore_0 = 75,
	_astore_1 = 76,
	_astore_2 = 77,
	_astore_3 = 78,
	_iastore = 79,
	_lastore = 80,
	_fastore = 81,
	_dastore = 82,
	_aastore = 83,
	_bastore = 84,
	_castore = 85,
	_sastore = 86,
	_pop = 87,
	_pop2 = 88,
	_dup = 89,
	_dup_x1 = 90,
	_dup_x2 = 91,
	_dup2 = 92,
	_dup2_x1 = 93,
	_dup2_x2 = 94,
	_swap = 95,
	_iadd = 96,
	_ladd = 97,
	_fadd = 98,
	_dadd = 99,
	_isub = 100,
	_lsub = 101,
	_fsub = 102,
	_dsub = 103,
	_imul = 104,
	_lmul = 105,
	_fmul = 106,
	_dmul = 107,
	_idiv = 108,
	_ldiv = 109,
	_fdiv = 110,
	_ddiv = 111,
	_irem = 112,
	_lrem = 113,
	_frem = 114,
	_drem = 115,
	_ineg = 116,
	_lneg = 117,
	_fneg = 118,
	_dneg = 119,
	_ishl = 120,
	_lshl = 121,
	_ishr = 122,
	_lshr = 123,
	_iushr = 124,
	_lushr = 125,
	_iand = 126,
	_land = 127,
	_ior = 128,
	_lor = 129,
	_ixor = 130,
	_lxor = 131,
	_iinc = 132,
	_i2l = 133,
	_i2f = 134,
	_i2d = 135,
	_l2i = 136,
	_l2f = 137,
	_l2d = 138,
	_f2i = 139,
	_f2l = 140,
	_f2d = 141,
	_d2i = 142,
	_d2l = 143,
	_d2f = 144,
	_int2byte = 145,
	_int2char = 146,
	_int2short = 147,
	_lcmp = 148,
	_fcmpl = 149,
	_fcmpg = 150,
	_dcmpl = 151,
	_dcmpg = 152,
	_ifeq = 153,
	_ifne = 154,
	_iflt = 155,
	_ifge = 156,
	_ifgt = 157,
	_ifle = 158,
	_if_icmpeq = 159,
	_if_icmpne = 160,
	_if_icmplt = 161,
	_if_icmpge = 162,
	_if_icmpgt = 163,
	_if_icmple = 164,
	_if_acmpeq = 165,
	_if_acmpne = 166,
	_goto = 167,
	_jsr = 168,
	_ret = 169,
	_tableswitch = 170,
	_lookupswitch = 171,
	_ireturn = 172,
	_lreturn = 173,
	_freturn = 174,
	_dreturn = 175,
	_areturn = 176,
	_return = 177,
	_getstatic = 178,
	_putstatic = 179,
	_getfield = 180,
	_putfield = 181,
	_invokevirtual = 182,
	_invokenonvirtual = 183,
	_invokestatic = 184,
	_invokeinterface = 185,
	_new = 187,
	_newarray = 188,
	_anewarray = 189,
	_arraylength = 190,
	_athrow = 191,
	_checkcast = 192,
	_instanceof = 193,
	_monitorenter = 194,
	_monitorexit = 195,
	_wide = 196,
	_multianewarray = 197,
	_ifnull = 198,
	_ifnonnull = 199,
	_goto_w = 200,
	_jsr_w = 201,
	_breakpoint = 202,
	_ret_w = 209,
	_impdep1 = 254,
	_impdep2 = 255
};
