typedef struct thread Thread;
typedef struct thContext thContext;

enum {
	TH_RUNNING = 1, 
	TH_READY,
	TH_READY_LOCK, 
	TH_SLEEP, 
	TH_SUSPEND,
	TH_WAIT,
	TH_WAIT_EVENT,
	TH_DEAMON
};

#define MAX_PRIO	10
#define NORM_PRIO	5
#define MIN_PRIO	1

struct thContext {
	int state;				/* state */
	int prio;				/* priority */
	StackFrame *stack;		/* it's private stack frame */
	int data;				/* data for different purpose */
	Object *thread;			/* the real Object thread */
	thContext *next;		/* next thread in the same Queue */
};

struct thread {
	Object *		name; 			/* tab char */
	int 			priority;
	Object *		threadQ;		/* Thread */
	int				private;		/* threadInfo */
	int				eetop;			/* is own current frame */

	int				single_step; 	/* boolean */
	int				deamon;		 	/* boolean */
	int 			stillborn;	 	/* boolean */
	Object *		target;		 	/* Runnable */
	Object *		activeThreadQ;	/* Thread */
	Object *		group;		 	/* ThreadGroup */
};

